Subject: [Drip] missed cutoff time for drip-rid-16

From: Robert Moskowitz <[email-masked]>
Date: Mon, 7 Mar 2022 19:56:09 -0500

I did the math wrong on time conversion and did not bother to look it up 
via google.

My bad.

I did not finish all the changes need to create an 8-bit OGA, so...

I will try to finish it tomorrow.

I will put it on my server and post the link for everyone, so perhaps I 
will get comments and make changes before submitting it for real when 
things open up.

I apologize for my absence the past 2 months.  I am physically better 
but still not where I was back in November.  Maybe another month.

What I really need is 2 weeks of 80F temp with plenty of sunshine. :)

Since I am not heading down to Florida as others are doing, rather 
spending Passover in Baltimore and New Jersey, I will just have to get 
by.  At least this year, the kids will be doing the Passover work; only 
my 3rd year off in the last 44 years...

Bob

---

From: <[email-masked]>
Date: Tue, 8 Mar 2022 11:21:46 +0000

Hi Bob, 

Please update us when you have an updated version on your server. 

I don't expect surprises but I'm planning the do another check on that version. If all is OK you can publish when the submission reopens. I will finalize the write-up by then and proceed with the publication request if all flags are green.

Cheers,
Med

> -----Message d'origine-----
> De : Tm-rid <[email-masked]> De la part de Robert Moskowitz
> Envoyé : mardi 8 mars 2022 01:56
> À : [email-masked]
> Objet : [Drip] missed cutoff time for drip-rid-16
> 
> --
> Tm-rid mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tm-rid

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Robert Moskowitz <[email-masked]>
Date: Tue, 8 Mar 2022 12:07:11 -0500

Every time I think I have all the changes made, I find another section I 
need to update!

Hopefully today I will complete at least the first run through and get 
it up.

---

From: Robert Moskowitz <[email-masked]>
Date: Tue, 8 Mar 2022 17:23:59 -0500

I just posted drip-rid-16 at:

http://medon.htt-consult.com/~rgm/ietf/

The big change here is the HHIT Suite ID of 8 bits.  A lot of changes 
were needed here, particularly in aligning the ORCHID discussion.  
Please review.  Also I reduced the HID size to 28 bits, and SHOULD have 
caught all the needed changes for that.

I also added to IANA considerations per prior discussions with IANA.  I 
hope this is more in line with what they need.  I removed the discussion 
of expanding the HIP subregistry of HIT Suite IDs to include the 8-bit 
values, as I am no longer really working with the HIT Suite ID.  Or am I???

Please review, I will look for comments and make recommended changes 
before uploading.  Please do a diff via https://www.ietf.org/rfcdiff so 
you can see the changes between -15 and -16.

Thank you.

---

From: <[email-masked]>
Date: Wed, 9 Mar 2022 07:47:07 +0000

Hi Bob, 

Thank you for preparing and sharing this version. The changes look great.

The following comments are not addressed yet: 

  *   Add a provision for the use of other prefixes + Define a new registry to list prefixes used for DET purposes.
  *   Add an appendix to explain the rationale for the 14|14 HID split
  *   Tweak Section 5 so that this is presented as an example + add a mention that further DNS-related considerations will be covered in the registries draft (no normative text, please).
  *   Consequently, remove the mentions of ICAO from the draft, especially from:
     *   Section 3.3.1: RAA assignment
     *   Section 5: DNS
  *   Leave the answer to “whether we want to (1) abandon the control on the RAA assignment bound to the IANA-assigned prefix or (2) keep the full control but have a provision for some delegation” to the registries draft. Add a sentence that basically says that. From an interop standpoint, this is fine as a DET is unambiguously identified by the prefix part.

Also, most of the comments in https://raw.githubusercontent.com/boucadair/IETF-Drafts-Reviews/master/draft-ietf-drip-rid-15-rev%20Med.pdf are not addressed. 

Please update the document accordingly. 

Thank you. 

Cheers,
Med

> Envoyé : mardi 8 mars 2022 23:24
> À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>; tm-
> [email-masked]
> Objet : Re: [Drip] missed cutoff time for drip-rid-16
> 
> were needed here, particularly in aligning the ORCHID discussion. Please
> review.  Also I reduced the HID size to 28 bits, and SHOULD have caught
> all the needed changes for that.
> 
> > I don't expect surprises but I'm planning the do another check on that
> version. If all is OK you can publish when the submission reopens. I
> will finalize the write-up by then and proceed with the publication
> request if all flags are green.
> >
> > Cheers,
> > Med
> >
> >> Envoyé : mardi 8 mars 2022 01:56 À : [email-masked] Objet : [Drip]
> >> missed cutoff time for drip-rid-16
> >>
> >> I did the math wrong on time conversion and did not bother to look it
> >> up via google.
> >>
> >>
> >> My bad.
> >>
> >> I will put it on my server and post the link for everyone, so perhaps
> >> I will get comments and make changes before submitting it for real
> >> when things open up.
> >>
> >> spending Passover in Baltimore and New Jersey, I will just have to
> >> get by.  At least this year, the kids will be doing the Passover
> >> work; only my 3rd year off in the last 44 years...
> >>
> >> Bob
> >>
> >>
> 
> --
> Tm-rid mailing list
> [email-masked]

---

From: Robert Moskowitz <[email-masked]>
Date: Tue, 15 Mar 2022 20:38:36 -0400

>    *   Add a provision for the use of other prefixes + Define a new registry to list prefixes used for DET purposes.

Done, I think.  Should this registry include the HIT prefix in rfc7343?

>    *   Add an appendix to explain the rationale for the 14|14 HID split

New sec 3.3.3.  I can move it to an appendix...

>    *   Tweak Section 5 so that this is presented as an example + add a mention that further DNS-related considerations will be covered in the registries draft (no normative text, please).

I think I have this done.

>       *   Section 3.3.1: RAA assignment

I will leave this for a later iteration.  I actually put more in about 
ICAO.  I will need to change this somehow to the "organization best 
suited manage the HID space".  Or some such.

>    *   Leave the answer to “whether we want to (1) abandon the control on the RAA assignment bound to the IANA-assigned prefix or (2) keep the full control but have a provision for some delegation”…

TBD next iteration.

> Also, most of the comments inhttps://raw.githubusercontent.com/boucadair/IETF-Drafts-Reviews/master/draft-ietf-drip-rid-15-rev%20Med.pdf  are not addressed.

BMI1:  This is the first occurrence, in text of "Hierarchical HIT 
(HHIT)" so I believe this is appropriate usage.

BMI2, 4:    Done

In 3.3.1 (and in 5.) your comment says:  "surlignage"  Please translate 
what you are asking done here?  I did look this up in google, but that 
does not help me with the comment.

BMI5 is included for symmetric section construction.  Yes it is 
redundant, but it is there completeness in doc structure.

BMI6 & 7:  Lots of changes made, please review.

> Please update the document accordingly.

I have uploaded a -17 ver to my server with these changes.  Please 
review and I will make any remaining updates.

Note that Thursday is Purim so no work time me.  Got better things to do...

>> De : Tm-rid<[email-masked]>  De la part de Robert Moskowitz
>> À : BOUCADAIR Mohamed INNOV/NET<[email-masked]>; tm-
>> [email-masked]
>> before uploading.  Please do a diff viahttps://www.ietf.org/rfcdiff  so
>> On 3/8/22 06:21,[email-masked]  wrote:
>>> Hi Bob,
>>>
>>>> De : Tm-rid<[email-masked]>  De la part de Robert Moskowitz
>>>> Envoyé : mardi 8 mars 2022 01:56 À :[email-masked]  Objet : [Drip]

-- 
Standard Robert Moskowitz
Owner
HTT Consulting
C:248-219-2059
F:248-968-2824
E:[email-masked]

There's no limit to what can be accomplished if it doesn't matter who 
gets the credit

---

From: <[email-masked]>
Date: Wed, 16 Mar 2022 08:00:00 +0000

Hi Bob,

Please see inline.

Cheers,
Med

De : Tm-rid <[email-masked]> De la part de Robert Moskowitz
Envoyé : mercredi 16 mars 2022 01:39
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>; [email-masked]
Objet : Re: [Drip] missed cutoff time for drip-rid-16

On 3/9/22 02:47, [email-masked]<mailto:[email-masked]> wrote:

Hi Bob,

Done, I think.  Should this registry include the HIT prefix in rfc7343?
[Med] I don’t think we need to add that prefix to the list.

I suggest to make these changes to your proposed text:

(1)

OLD:
   This document requests IANA to make a new registry for DRIP with
   initially two entries.

NEW:
   This document requests IANA to create a new registry titled
   “Drone Remote Identification Protocol” registry. The following
   two subregistries should be created under that registry.

(2)

OLD:
Future additions to this subregistry MUST be approved by the DRIP protocol expert(s).

NEW:

Future additions to this subregistry are to be made through Expert Review (Section 4.5 of [RFC8126]).

(3) We may indicate that entries with network-specific prefixes may be present in the registry.

(4)

New sec 3.3.3.  I can move it to an appendix...
[Med] Please do so. Thanks. BTW, please make this change in Section 3:

OLD:
      -  16-bit Registered Assigning Authority (RAA) (Section 3.3.1)

      -  16-bit Hierarchical HIT Domain Authority (HDA) (Section 3.3.2)

NEW:
      -  14-bit Registered Assigning Authority (RAA) (Section 3.3.1)

      -  14-bit Hierarchical HIT Domain Authority (HDA) (Section 3.3.2)

I think I have this done.
[Med] Looks good to me. Even if ICAO is still mentioned there, it is clear that this is just an example, not a recommendation. I suspect that we will be asked to follow RFC6761, but I don’t have an objection to maintain your current text.

Please fix this nit:

OLD:
Further DNS-related considerations will are covered in [drip-registries].

NEW:
Further DNS-related considerations are covered in [drip-registries].

     *   Section 5: DNS

I will leave this for a later iteration.  I actually put more in about ICAO.  I will need to change this somehow to the "organization best suited manage the HID space".  Or some such.
[Med] Looking forward seeing this addressed.

TBD next iteration.
[Med] ACK.

[Med] Thanks.

---

From: Robert Moskowitz <[email-masked]>
Date: Wed, 16 Mar 2022 05:32:34 -0400

Perhaps today.  I have to work on ASTM as well.

Oops on that copy and paste with '16'.   ;)

On 3/16/22 04:00, [email-masked] wrote:
> Standard
>
> Hi Bob,
>
> Please see inline.
>
> Cheers,
>
> Med
>
> *De :* Tm-rid <[email-masked]> *De la part de* Robert Moskowitz
> *Envoyé :* mercredi 16 mars 2022 01:39
> *À :* BOUCADAIR Mohamed INNOV/NET <[email-masked]>; 
> [email-masked]
> *Objet :* Re: [Drip] missed cutoff time for drip-rid-16
>
> */[Med] I don’t think we need to add that prefix to the list. /*
>
> *//*
>
> */I suggest to make these changes to your proposed text: /*
>
> *//*
>
> */(1)/*
>
> *//*
>
> */OLD: /*
>
> *//*
> */NEW:/*
> *//*
> */(2)/*
> *//*
> */OLD:/*
> *//*
> */NEW:/*
> *//*
> */(3) We may indicate that entries with network-specific prefixes may 
> be present in the registry./*
>
> *//*
>
> */(4) /*
>
> */[Med] Please do so. Thanks. BTW, please make this change in Section 3:/*
>
> *//*
>
> */OLD:/*
>
> *//*
> */NEW:/*
> *//*
>       *   Tweak Section 5 so that this is presented as an example +
>     add a mention that further DNS-related considerations will be
>     covered in the registries draft (no normative text, please).
>
>
> */[Med] Looks good to me. Even if ICAO is still mentioned there, it is 
> clear that this is just an example, not a recommendation. I suspect 
> that we will be asked to follow RFC6761, but I don’t have an objection 
> to maintain your current text./*
>
> *//*
>
> */Please fix this nit: /*
>
> *//*
>
> */OLD:/*
>
> */[Med] Looking forward seeing this addressed. /*
>
> */[Med] ACK./*
> */[Med] Thanks. /*

---

From: Robert Moskowitz <[email-masked]>
Date: Wed, 16 Mar 2022 17:06:01 -0400

Revised ver -17 posted on

You are going to have to do diffs yourself with what you previously 
downloaded...

> */[Med] I don’t think we need to add that prefix to the list. /*

I was leaning this way, but wanted to get other's view.  So it stays out.

> Review (Section 4.5 of [RFC8126]).

Done

> be present in the registry./*

I was thinking about this and how I would say it.  Check out what I 
added to 9.1

>       -  14-bit Hierarchical HIT Domain Authority (HDA) (Section 3.3.2)

Done

> to maintain your current text./*

I need to regear up with ICAO on GRAIN items which may turn this from an 
example to actual implementation.  TBD.  Note that ICAO already manages 
the CTA MFR Code space, but that is not something like DNS.  It IS 
something like needed for RAAs.

> Further DNS-related considerations are covered in [drip-registries].

Done

---

From: <[email-masked]>
Date: Thu, 17 Mar 2022 06:36:04 +0000

Hi Bob,

Thank you.

I suggest to make this change:

===
OLD :
   *  28-bit Hierarchy ID (HID) which provides the structure to organize
      HITs into administrative domains.  HIDs are further divided into
      two fields:

NEW:

   *  28-bit Hierarchy ID (HID) which provides the structure to organize
      HITs into administrative domains.  HIDs are further divided into
      two fields:

      The rationale for the 14/14 HID split is described in Appendix B.
===

The only pending comment is to clean up the text about ICAO in 3.3.1.

Looking forward seeing that part addressed.

Cheers,
Med

De : Tm-rid <[email-masked]> De la part de Robert Moskowitz
Envoyé : mercredi 16 mars 2022 22:06
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>; [email-masked]
Objet : Re: [Drip] missed cutoff time for drip-rid-16 - now -17

You are going to have to do diffs yourself with what you previously downloaded...
On 3/16/22 04:00, [email-masked]<mailto:[email-masked]> wrote:
Hi Bob,

Please see inline.

Cheers,
Med

De : Tm-rid <[email-masked]><mailto:[email-masked]> De la part de Robert Moskowitz
Envoyé : mercredi 16 mars 2022 01:39
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]><mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Objet : Re: [Drip] missed cutoff time for drip-rid-16

Hi Bob,

(1)

OLD:

NEW:

(2)

OLD:

NEW:

Done

I was thinking about this and how I would say it.  Check out what I added to 9.1

(4)

OLD:

NEW:

Done

I need to regear up with ICAO on GRAIN items which may turn this from an example to actual implementation.  TBD.  Note that ICAO already manages the CTA MFR Code space, but that is not something like DNS.  It IS something like needed for RAAs.

Please fix this nit:

OLD:

NEW:

Done

     *   Section 5: DNS

TBD next iteration.
[Med] ACK.

[Med] Thanks.

Thank you.

--
Robert Moskowitz
Owner
HTT Consulting
C:      248-219-2059
F:      248-968-2824
E:      [email-masked]<mailto:[email-masked]>

There's no limit to what can be accomplished if it doesn't matter who gets the credit

---

From: Robert Moskowitz <[email-masked]>
Date: Fri, 18 Mar 2022 09:28:28 -0400

> The rationale for the 14/14 HID split is described in Appendix B.

Done. And uploaded to my site.

> The only pending comment is to clean up the text about ICAO in 3.3.1.

I don't see me tackling this prior to our session.

> Looking forward seeing that part addressed.

Once I have some thoughts on it, we can discuss on the list before edits.

> *Envoyé :* mercredi 16 mars 2022 22:06
> *Objet :* Re: [Drip] missed cutoff time for drip-rid-16 - now -17
>
>     *De :* Tm-rid <[email-masked]>
>     <mailto:[email-masked]> *De la part de* Robert Moskowitz
>     *À :* BOUCADAIR Mohamed INNOV/NET <[email-masked]>
>     <mailto:[email-masked]>; [email-masked]
>     */(3) We may indicate that entries with network-specific prefixes
>     may be present in the registry./*
>
>     *//*
>
>
>           *   Tweak Section 5 so that this is presented as an example
>         + add a mention that further DNS-related considerations will
>         be covered in the registries draft (no normative text, please).
>
>
>     */[Med] Looks good to me. Even if ICAO is still mentioned there,
>     it is clear that this is just an example, not a recommendation. I
>     suspect that we will be asked to follow RFC6761, but I don’t have
>     an objection to maintain your current text./*
>
>
> I need to regear up with ICAO on GRAIN items which may turn this from 
> an example to actual implementation.  TBD.  Note that ICAO already 
> manages the CTA MFR Code space, but that is not something like DNS.  
> It IS something like needed for RAAs.
>
>
>     *//*
>
>     I will leave this for a later iteration.  I actually put more in
>     about ICAO.  I will need to change this somehow to the
>     "organization best suited manage the HID space". Or some such.
>
> E: [email-masked]
>

---

From: <[email-masked]>
Date: Fri, 18 Mar 2022 13:40:00 +0000

Hi Bob,

Thanks for the update.

For the pending point, I think the change is straightforward, especially that we have the registry draft to record policies related the various registries.

Is there any particular issue to make the change?

Cheers,
Med

De : Tm-rid <[email-masked]> De la part de Robert Moskowitz
Envoyé : vendredi 18 mars 2022 14:28
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>; [email-masked]
Objet : Re: [Drip] missed cutoff time for drip-rid-16 - now -17

On 3/17/22 02:36, [email-masked]<mailto:[email-masked]> wrote:
Hi Bob,

Thank you.

===
OLD :

NEW:

Cheers,
Med

Please see inline.

Cheers,
Med

Hi Bob,

(1)

OLD:

NEW:

(2)

OLD:

NEW:

Done

(4)

OLD:

NEW:

Done

Please fix this nit:

OLD:

NEW:

Done

     *   Section 5: DNS

TBD next iteration.
[Med] ACK.

[Med] Thanks.

Thank you.

Thank you.